package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.action.LifeJDBCAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.TEntity;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/JournalAction.class */
public class JournalAction extends LifeJDBCAction {
    private static final String FIELD_SEPERATOR = "&";
    private static final String LOG_SEPERATOR = "^#";
    private static final String INSERT_SQL = "INSERT INTO FSP_LOG (LOG_DATETIME,LOG_BRANCHNO,LOG_USERNO,LOG_BSNCODE,LOG_RESULT,LOG_CONTEXTID,LOG_FLOWNO,LOG_INFO,LOG_SID) VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?)";
    private String businessCode;
    private String logDefineName;

    public String execute(Context context) {
        Connection connection = null;
        try {
            try {
                if (this.businessCode == null) {
                    context.get(this.businessCode);
                }
                String userId = (String) context.getDataValue(TEntity.USER_ID);
                String branchNo = (String) context.getDataValue(TEntity.USER_BRANCH_ID);
                String sessionId = (String) context.getDataValue("appKey");
                try {
                    context.getDataValue(TEntity.CLIENTIP);
                } catch (Exception unused) {
                }
                try {
                    context.getDataValue(TEntity.CLIENTMAC);
                } catch (Exception unused2) {
                }
                try {
                    context.getDataValue(TEntity.WINDOWSTYPE);
                } catch (Exception unused3) {
                }
                List inputList = new ArrayList();
                inputList.add(LifeStandard.getServerTime("yyyyMMddHHmmss"));
                inputList.add(branchNo);
                inputList.add(userId);
                inputList.add(this.businessCode);
                inputList.add(getTranResult(context));
                inputList.add(context.getName());
                inputList.add(LifeDBAccess.getSequenceNo("logNo"));
                inputList.add(getLogContent(context));
                inputList.add(sessionId);
                Connection connection2 = LifeDBAccess.getConnection();
                connection = connection2;
                LifeDBAccess.executeSQLUpdate(connection2, INSERT_SQL, inputList);
                if (connection != null) {
                    try {
                        LifeDBAccess.releaseConnection(connection);
                        return "0";
                    } catch (TranFailException ex) {
                        Trace.logError("LifeAction", "记录日志异常", ex);
                        try {
                            throw ex;
                        } catch (TranFailException unused4) {
                            Trace.logError("LifeJDBC", "数据库异常", ex);
                            return "0";
                        }
                    }
                }
                return "0";
            } catch (GENEException e) {
                Trace.logError("LifeAction", "记录日志异常", e);
                try {
                    throw e;
                } catch (GENEException unused5) {
                    Trace.logError("LifeJDBC", "数据库异常", e);
                    if (connection != null) {
                        try {
                            LifeDBAccess.releaseConnection(connection);
                            return "0";
                        } catch (TranFailException ex2) {
                            Trace.logError("LifeAction", "记录日志异常", ex2);
                            try {
                                throw ex2;
                            } catch (TranFailException unused6) {
                                Trace.logError("LifeJDBC", "数据库异常", ex2);
                                return "0";
                            }
                        }
                    }
                    return "0";
                }
            }
        } catch (Throwable th) {
            if (connection != null) {
                try {
                    LifeDBAccess.releaseConnection(connection);
                } catch (TranFailException ex3) {
                    Trace.logError("LifeAction", "记录日志异常", ex3);
                    try {
                        throw ex3;
                    } catch (TranFailException unused7) {
                        Trace.logError("LifeJDBC", "数据库异常", ex3);
                        throw th;
                    }
                }
            }
            throw th;
        }
    }

    private String getTranResult(Context context) throws GENEException {
        String error = (String) context.getDataValue("errorCode");
        if (error == null) {
            return "00000000";
        }
        return error;
    }

    private String getLogContent(Context context) throws GENEException {
        if (this.logDefineName == null) {
            return "";
        }
        try {
            String logDefine = (String) context.getDataValue(this.logDefineName);
            if (logDefine == null) {
                return "";
            }
            StringBuffer content = new StringBuffer();
            try {
                KeyedCollection dataKcoll = context.getDataElement("gatewayData");
                content.append("gwTrxCode=" + dataKcoll.getDataValue("gwTrxCode"));
                content.append(LOG_SEPERATOR);
            } catch (GENEException unused) {
            }
            StringTokenizer toke = new StringTokenizer(logDefine, FIELD_SEPERATOR);
            while (toke.hasMoreElements()) {
                String fieldName = ((String) toke.nextElement()).trim();
                try {
                    String fieldValue = (String) context.getDataValue(fieldName);
                    if (fieldValue == null) {
                        fieldValue = "";
                    }
                    content.append(fieldValue);
                    if (toke.hasMoreElements()) {
                        content.append(LOG_SEPERATOR);
                    }
                } catch (GENEException ex) {
                    Trace.logError("LifeAction", "记录日志异常", ex);
                    throw ex;
                }
            }
            return content.toString();
        } catch (GENEException ex2) {
            Trace.logError("LifeAction", "获取日志数据域异常", ex2);
            throw ex2;
        }
    }

    public void setBusinessCode(String businessCode) {
        this.businessCode = businessCode;
    }

    public void setLogDefineName(String logDefineName) {
        this.logDefineName = logDefineName;
    }
}
